/* 
* -cr_beg-
* ********************************************************************
* IBM Confidential
* OCO Source Materials
* 5724-U38, 5724-U39, 5724-U48, 5655-V17, 5655-V19, 5655-V35, 5655-V37
* Copyright IBM Corp. 2011,2013
* The source code for this program is not published or otherwise
* divested of its trade secrets, irrespective of what has
* been deposited with the U.S. Copyright Office.
* ********************************************************************
* -cr_end-
*/ 
/*----------------------------------------------------------------------------
File Name:  ODPPTokIdsH.h

Purpose:    List of possible Token Identifiers. This header is included in
            ODPPCmnIncludesH.H to create the global array of identifier strings  
            and in ODPPCmnAPI.h to create the corresponding array index values. 
             
Author:
   Ed LaPlante     IBM Princeton 21/Aug/2010
----------------------------------------------------------------------------*/

ODPPTOKID(DATATYPE)
ODPPTOKID(PROVIDER)
ODPPTOKID(METHOD)
ODPPTOKID(COLNAME)
ODPPTOKID(SRCDATA)
ODPPTOKID(ROW_COUNT)
ODPPTOKID(ROWS_LIST)
ODPPTOKID(COLINDEX)
ODPPTOKID(ROWDEFINE_COUNT)
ODPPTOKID(MASK)
ODPPTOKID(YEAR)
ODPPTOKID(MONTH)
ODPPTOKID(DAY)
ODPPTOKID(WEEK)
ODPPTOKID(CENTURY)
ODPPTOKID(DSTDATA)
ODPPTOKID(SRC_DATATYPE)
ODPPTOKID(DST_DATATYPE)
ODPPTOKID(SRCFORMAT)
ODPPTOKID(OPERAND_LIST)
ODPPTOKID(OPERAND_COUNT)
ODPPTOKID(COL_LIST)
ODPPTOKID(COL_COUNT)
ODPPTOKID(SRC_COLTYPE)
ODPPTOKID(SRC_COLLIST)
ODPPTOKID(FLAG)
ODPPTOKID(INFO_REQUEST)
ODPPTOKID(BUFFER_SIZE)
ODPPTOKID(LIB_NAME)
ODPPTOKID(PROC_NAME)
ODPPTOKID(ENV_VARIABLE)
ODPPTOKID(ENV_VALUE)
ODPPTOKID(TRIMCHAR)
ODPPTOKID(SEED)
ODPPTOKID(SRCLEN)
ODPPTOKID(EXPSRCLEN)
ODPPTOKID(COUNTRY)
ODPPTOKID(SEP)
ODPPTOKID(NAME1_COLINDEX)
ODPPTOKID(NAME2_COLINDEX)
ODPPTOKID(USERPRFX_LEN)
ODPPTOKID(DOMAIN_LEN)
ODPPTOKID(HASHSEED_LEN)
ODPPTOKID(TIMESTAMP)
ODPPTOKID(SRCDST)
ODPPTOKID(PATH)
ODPPTOKID(SQLSTATE)
ODPPTOKID(SQLCODE)
ODPPTOKID(SQLMESSAGE)
ODPPTOKID(BUF_EXPECTED_LEN)
ODPPTOKID(ERR_CODE)
//Token IDs for Parser
ODPPTOKID(CHAR_POS)
ODPPTOKID(PARMVALUE)
ODPPTOKID(PARMKEY)
//Token IDs for Environment Info
ODPPTOKID(LIC_PATH)
ODPPTOKID(ERR_FILE)
ODPPTOKID(TRC_FILE)
ODPPTOKID(MAX_TRC_FILE_NUM)
ODPPTOKID(ICU_DIR)
ODPPTOKID(ICU_CNV_NAME)
ODPPTOKID(ICU_CODEPAGE)
ODPPTOKID(ICU_NEAREST_CODEPAGE)
ODPPTOKID(ICU_MB_MINBYTES)
ODPPTOKID(ICU_MB_MAXBYTES)
ODPPTOKID(ICU_MB_TYPE)
ODPPTOKID(ICU_MB_AorE)
ODPPTOKID(ICU_DBMSCODE)
ODPPTOKID(ICU_ALIAS)
ODPPTOKID(SP_FILE)
ODPPTOKID(ERRMSG)
ODPPTOKID(MSG_ID)
ODPPTOKID(MSG_SRC)
ODPPTOKID(MSG_TEXT)
ODPPTOKID(MSG_BODY)
ODPPTOKID(ALGO)
ODPPTOKID(SERVICE_TOKEN)
ODPPTOKID(ORA_CHARSET)
ODPPTOKID(ORA_NCHARSET)
ODPPTOKID(TABLENAME)
ODPPTOKID(PARMVALUE_SUBTYPE)
ODPPTOKID(COLLEN)
ODPPTOKID(KEY)
ODPPTOKID(KEY_SIZE)
ODPPTOKID(TWEAKS_LEN)
ODPPTOKID(RADIX)
ODPPTOKID(ITERATIONS)
ODPPTOKID(STATE_BYTES)
ODPPTOKID(UNICODE_CODEPOINT)
ODPPTOKID(SUBSTR)
ODPPTOKID(CODEPAGE)

